package com.ruoyi.zhiyuanzhe.controller;

import cn.hutool.json.JSONUtil;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.zhiyuanzhe.domain.BDistributionRecords;
import com.ruoyi.zhiyuanzhe.service.IBDistributionRecordsService;
import com.ruoyi.zhiyuanzhe.utils.PushDataUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author wu
 * @since 2023/10/27 14:56
 */
@RestController
@Api(tags = "测试数据上链")
@RequestMapping("/zhiyuanzhe/demo")
public class DemoController extends BaseController {

    @Resource
    private IBDistributionRecordsService bDistributionRecordsService;

    /**
     * 测试数据上链
     *
     * @return 响应类
     */
    @PostMapping("/pushJson/{id}")
    @ApiOperation(value = "测试数据上链")
    public AjaxResult pushJson(@PathVariable("id") Long id) {
        BDistributionRecords records = bDistributionRecordsService.selectBDistributionRecordsById(id);
        String jsonStr = JSONUtil.toJsonStr(records);
        return success(PushDataUtil.pushData(jsonStr));
    }

    /**
     * 同步一次性活动数据
     *
     * @return 响应类
     */
    @PostMapping("/serviceLong")
    @ApiOperation(value = "同步一次性活动数据")
    public AjaxResult serviceLong() {
        bDistributionRecordsService.findList();
        return success();
    }

    /**
     * 同步志愿者数据
     *
     * @return 响应类
     */
    @PostMapping("/volunteer")
    @ApiOperation(value = "同步志愿者数据")
    public AjaxResult volunteer() {
        bDistributionRecordsService.volunteer();
        return success();
    }


    /**
     * 同步字典
     *
     * @return 响应类
     */
    @PostMapping("/dict")
    @ApiOperation(value = "只能调用一次同步字典")
    public AjaxResult dict() {
        bDistributionRecordsService.dict();
        return success();
    }
}
