package com.ruoyi.zhiyuanzhe.mapper;

import com.ruoyi.zhiyuanzhe.domain.BActivity;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 活动管理Mapper接口
 *
 * @author ruoyi
 * @date 2023-09-18
 */
public interface BActivityMapper {
    /**
     * 查询活动管理
     *
     * @param id 活动管理主键
     * @return 活动管理
     */
    BActivity selectBActivityById(Long id);

    /**
     * 查询活动管理列表
     *
     * @param bActivity 活动管理
     * @return 活动管理集合
     */
    List<BActivity> selectBActivityList(BActivity bActivity);

    /**
     * 新增活动管理
     *
     * @param bActivity 活动管理
     * @return 结果
     */
    int insertBActivity(BActivity bActivity);

    /**
     * 修改活动管理
     *
     * @param bActivity 活动管理
     * @return 结果
     */
    int updateBActivity(BActivity bActivity);

    /**
     * 删除活动管理
     *
     * @param id 活动管理主键
     * @return 结果
     */
    int deleteBActivityById(Long id);

    /**
     * 批量删除活动管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBActivityByIds(Long[] ids);

    /**
     * 根据活动状态查询活动
     *
     * @param status 活动状态1：进行中，2：停止
     * @return 活动
     */
    List<BActivity> findByStatus(@Param("status") int status);

    /**
     * 批量修改活动状态
     *
     * @param list id集合
     */
    void updateStatusByIds(List<Long> list);
}
